import dynamix_sdk.base as _base


class CloudapiImageLinkResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiImageLinkProtocol(_base.BasePostAPIFunctionProtocol):
    def link(
        self,
        *,
        virtual_image_id: int,
        target_image_id: int,
    ) -> CloudapiImageLinkResultBool:
        ...
